package com.axis.innovators.box.verification;

import java.util.UUID;

/**
 * 在线验证用户身份
 * @author tzdwindows 7
 */
public class OnlineVerification {
    public String onlineVerification;
    public UserTags userTags;
    public String password;

    OnlineVerification(String onlineVerification, UserTags userTags){
        this.onlineVerification = onlineVerification;
        this.userTags = userTags;
    }

    /**
     * 验证登录
     * @param identifier
     * @param password
     */
    OnlineVerification(String identifier, String password){
        this.onlineVerification = identifier;
        this.password = password;
    }

    public static OnlineVerification validateLogin(String identifier){
        return new OnlineVerification(identifier, UserTags.RegularUsers);
    }

    public static OnlineVerification validateLogin(String identifier, String password){
        return new OnlineVerification(identifier, password);
    }
}
